<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "../../include/cctvai.conn.php";
require_once("../../include/cctvai.label.php");
include "../function_common.php";
admincheck(10);
set_time_limit(0);
$action=SafeRequest("action", "get");
if($action=="index") {
	if(file_exists(_cctvai_root_ . cd_templateurl . '/index.html')) {
		$Mark_Text=@file_get_contents(_cctvai_root_ . cd_templateurl . '/index.html');
		$Mark_Text=topandbottom($Mark_Text);
		$Mark_Text=Common_Mark($Mark_Text, 0);
		fwrite(fopen('../../index.html', 'wb'), $Mark_Text);
		echo "<font color='#d01f3c' style=font-size:12pt;>生成首页文件成功</font>&nbsp;&nbsp;<a href=../../index.html target=_blank>" . cd_webpath . 'index.html</a>';
	} else {
		exit('出错了，首页模板文件不存在！');
	}
} elseif($action=="play") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/play_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlplay . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlplay . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成音乐首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlplay . "/index.html' target=_blank>" . cd_webpath . cd_webmlplay . "/index.html</a>";
	} else {
		exit('出错了，音乐首页模板文件不存在！');
	}
} elseif($action=="video") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/video_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlvideo . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlvideo . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成视频首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlvideo . "/index.html' target=_blank>" . cd_webpath . cd_webmlvideo . "/index.html</a>";
	} else {
		exit('出错了，视频首页模板文件不存在！');
	}
} elseif($action=="artist") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/singer_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlartist . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlartist . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成歌手首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlartist . "/index.html' target=_blank>" . cd_webpath . cd_webmlartist . "/index.html</a>";
	} else {
		exit('出错了，歌手首页模板文件不存在！');
	}
} elseif($action=="malbum") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/malbum_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlmalbum . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlmalbum . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成音乐专辑首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlmalbum . "/index.html' target=_blank>" . cd_webpath . cd_webmlmalbum . "/index.html</a>";
	} else {
		exit('出错了，音乐专辑首页模板文件不存在！');
	}
} elseif($action=="valbum") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/valbum_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlvalbum . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlvalbum . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成视频专辑首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlvalbum . "/index.html' target=_blank>" . cd_webpath . cd_webmlvalbum . "/index.html</a>";
	} else {
		exit('出错了，视频专辑首页模板文件不存在！');
	}
} elseif($action=="news") {
	if(cd_webhtml==1 or cd_webhtml==3) {die('<font color=red>当前网站为动态模式，不能生成！</font>');}
	if(file_exists(_cctvai_root_ . cd_templateurl . '/news_index.html')) {
		$spanpath="http://" . $_SERVER['HTTP_HOST'] . cd_webpath . cd_webmlnews . "/index.php?action=html";
		fwrite(fopen('../../' . cd_webmlnews . '/index.html', 'wb'), @file_get_contents($spanpath));
		echo "<font color='#d01f3c' style=font-size:12pt;>生成文章首页文件成功</font>&nbsp;&nbsp;<a href='" . cd_webpath . cd_webmlnews . "/index.html' target=_blank>" . cd_webpath . cd_webmlnews . "/index.html</a>";
	} else {
		exit('出错了，文章首页模板文件不存在！');
	}
} else {
	exit('出错了，参数错误！');
}
?>